.user_directory-container {
  height: 100%;
  padding: 0px;

  .tgpoint-breadcrumb,
  .user_directory_items_container,
  .user_directory_filter_container {
    padding: 16px 24px 0 24px;
  }
  
  .user_directory_items_container {
    box-sizing: border-box;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    font-family: $Rubik-Font;
    align-items: flex-start;
    align-content: flex-start;
    position: relative;
    overflow-y: auto;

    .user_directory_items_container__item {
      margin: 8px;
      padding: 8px;
      background: white;
      border-radius: 4px;
      box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.12);
      width: 272px;
      box-sizing: border-box;
      flex-shrink: 0;
      .user_directory_items_container__item__profile_container {
        display: flex;
        flex-direction: column;
        border-radius: 4px;
        box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.12);
        .user_directory_items_container__item__profile_container__photo_section {
          padding-top: 100%;
          position: relative;
          overflow: hidden;
          border-radius: 4px 4px 0 0;
          background-color: #cbcfd8;
          img {
            max-width: 100%;
            position: absolute;
            z-index: 1;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
          }
          button.edit_link {
            position: absolute;
            width: 48px;
            height: 48px;
            padding: 0;
            margin: 0;
            right: 0;
            z-index: 6;
            cursor: pointer;
            border-radius: 4px;
          }
          button.edit_link:active,
          button.edit_link:focus,
          button.edit_link:hover {
            background: rgba(255, 255, 255, 0.6);
          }
          .user_directory_name_container {
            height: 48px;
            padding: 6px 16px;
            box-sizing: border-box;
            background-color: rgba(255, 255, 255, 0.8);
            width: 100%;
            position: absolute;
            bottom: 0px;
            z-index: 2;
            p {
              font-family: $Rubik-Font;
              font-size: 14px;
              color: rgba(67, 74, 84, 0.8);
              line-height: 18px;
              vertical-align: middle;
              overflow: hidden;
              width: 100%;
              text-overflow: ellipsis;
              height: 100%;
            }
          }
        }
        .user_directory_items_container__item__profile_container__info_section {
          height: 144px;
          position: relative;
          z-index: 3;
          .user_directory_items_container__item__profile_container__info_section__inner_container {
            position: absolute;
            z-index: 4;
            top: 0;
            left: 0;
            width: 100%;
            display: flex;
            flex-direction: column;
            justify-content: flex-start;
            .user_directory_role_section {
              background-color: rgb(31, 123, 157);
              color: rgba(255, 255, 255, 0.8);
              padding: 15px 16px;
              height: 48px;
              box-sizing: border-box;
              p {
                line-height: 18px;
                font-size: 14px;
                width: 100%;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
                height: 100%;
              }
            }
            .user_directory_bio_section {
              background: rgb(204, 209, 217);
              color: rgb(67, 74, 84);
              overflow: hidden;
              .user_directory_bio_section__header {
                padding: 0px 16px;
                height: 48px;
                position: relative;
                display: flex;
                align-items: center;
                cursor: pointer;
                p {
                  line-height: 18px;
                  font-size: 14px;
                  width: 100%;
                  white-space: nowrap;
                  overflow: hidden;
                  text-overflow: ellipsis;
                }
                span {
                  opacity: 0;
                  transition: opacity 0.5s ease; 
                }
              }
              .user_directory_bio_section__header:after {
                position: absolute;
                content: "";
                display: block;
                width: 0;
                height: 0;
                border-left: 5px solid transparent;
                border-right: 5px solid transparent;
                border-top: 5px solid #464d57;
                transition: transform 0.5s ease;
                right: 19px;
                top: 50%;
                transform: translateY(-50%) rotate(0deg);
                pointer-events: none;
              }
              .user_directory_bio_section__header:active:after,
              .user_directory_bio_section__header:focus:after,
              .user_directory_bio_section__header:hover:after {
                border-top: 5px solid rgb(230, 233, 237);
              }
              .user_directory_bio_section__body {
                padding: 0 16px;
                transition: max-height 0.8s ease;
                overflow: hidden;
                .user_directory_bio_section__body__padding_container {
                  padding: 8px 0 16px;
                }
                p {
                  font-size: 12px;
                  line-height: 14px;
                  padding: 4px 0;
                }
              }
            }
            .user_directory_bio_section.opened {
              .user_directory_bio_section__header {
                span {
                  opacity: 1;
                }
              }
              .user_directory_bio_section__header:after {
                transform: translateY(-50%) rotate(180deg);
              }
            }
            .user_directory_contact_section {
              background-color: rgb(67, 74, 84);
              border-radius: 0 0 4px 4px;
              overflow: hidden;
              color: rgba(255, 255, 255, 0.8);
              .user_directory_contact_section__header {
                height: 48px;
                padding: 0 16px;
                display: flex;
                align-items: center;
                position: relative;
                cursor: pointer;
                span {
                  opacity: 0;
                  transition: opacity 0.5s ease; 
                }
              }
              .user_directory_contact_section__header:after {
                position: absolute;
                content: "";
                display: block;
                width: 0;
                height: 0;
                border-left: 5px solid transparent;
                border-right: 5px solid transparent;
                border-top: 5px solid rgb(230, 233, 237);
                transition: transform 0.5s ease;
                right: 19px;
                top: 50%;
                transform: translateY(-50%) rotate(0deg);
                pointer-events: none;
              }
              .user_directory_contact_section__body {
                transition: max-height 0.5s ease;
                max-height: 0px;
                .user_directory_contact_section__body__phone,
                .user_directory_contact_section__body__email {
                  display: flex;
                  align-content: space-around;
                  height: 48px;
                  flex-wrap: wrap;
                  box-sizing: border-box;
                  padding-top: 4px;
                  p {
                    width: 100%;
                    box-sizing: border-box;
                    padding: 0 16px;
                    text-overflow: ellipsis;
                    font-size: 12px;
                    line-height: 14px;
                  }
                  a {
                    width: 100%;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    font-family: $Rubik-Font;
                    color: rgba(255, 255, 255, 0.8);
                    cursor: pointer;
                    padding: 0 16px;
                    display: block;
                    box-sizing: border-box;
                    font-size: 14px;
                    line-height: 22px;
                    height: 22px;
                  }
                  a:hover,
                  a:active,
                  a:focus {
                    text-decoration: underline;
                  }
                }
              }
            }
            .user_directory_contact_section.opened {
              .user_directory_contact_section__header {
                span {
                  opacity: 1;
                }
              }
              .user_directory_contact_section__header:after {
                transform: translateY(-50%) rotate(180deg);
              }
              .user_directory_contact_section__body {
                max-height: 96px;
              }
            }
          }
        }
      }
    }
  }
}

@media all and (min-width: 865px) {
  button.edit_link  {
    top: 0px;
    background: rgba(255, 255, 255, 0.4);
  }
}

@media all and (max-width: 865px) {
  .action-item.sortable-filter {
    min-width: 100%;
  }

  button.edit_link  {
    top: 210px;
  }
}

@media all and (min-width: 640px) {
  .user_directory_items_container {
    justify-content: space-around;
    .user_directory_items_container__item {
      margin: 0px;
      box-shadow: none;
      background: none;
    }
  }
  .user_directory_filter_container {
    box-sizing: border-box;
    padding-left: 8px;

  }
}


.user_directory_filter_container_label {
  cursor: pointer;
} 